<!-- <div class="container"> -->
    <div class="card">
        <div class="card-body">
          <div class="row h-100 m-0 p-3 justify-content-center align-items-center">
            <div class="col-md-6 d-none d-lg-block">
              <div class="div_1">
                  <div class="">
                  <img src="assets/images/logo.svg" style="max-width:150px;margin-top: 100px;">
              </div>
              <div class="">
                  <img src="assets/images/login-image.svg" style="max-width:400px;margin-top: 50px;">
              </div>
              </div>
            </div>
            <div class="col-12 col-md-6 col-lg-6 div_2">
              <div class="enter-Email">
                <div class="heading">Partner Login</div>
                <form [formGroup]="rmForm">
                  <div class="row">
                    <div class="col-12 col-lg-12">
                      <input
                        type="email"
                        placeholder="Email"
                        formControlName="email_id"
                        class="input"
                        required
                      />
                      <span
                        *ngIf="
                          rmForm.touched &&
                          rmForm.get('email_id').errors?.required
                        "
                        class="text-danger"
                      >
                        Please enter email id
                      </span>
                      <span
                      *ngIf="
                        rmForm.touched &&
                        rmForm.get('email_id').errors?.email
                      "
                      class="text-danger"
                    >
                      Please enter a valid email id
                    </span>
                      <!-- <span *ngIf="app_login_msg != ''" class="text-danger">
                        {{ app_login_msg }}
                      </span> -->
                    </div>
                    <div class="col-12 col-lg-12">
                      <input
                        type="password"
                        placeholder="Password"
                        formControlName="password"
                        class="input"
                        required
                      />
                      <span
                        *ngIf="
                          rmForm.touched &&
                          rmForm.get('password').errors?.required
                        "
                        class="text-danger"
                      >
                        Please enter a valid password
                      </span>
                      
                      <!-- <span *ngIf="app_login_msg != ''" class="text-danger">
                        {{ app_login_msg }}
                      </span> -->
                    </div>
                    <div class="col-12 col-lg-12">
                      <div class="text-right pt-3">
                       <a style="color: #196be5; cursor: pointer; font-weight:500;" (click)="openForgotPasswordModal(forgotPasswordModal)" > Forgot password</a> 
                      </div>
                    </div>
                    <div class="col-12 mt-4">
                      <div class="mobile-btn-common card">
                        <button class="btn" (click)="rm_login()"  [disabled]="!rmForm.valid">Login</button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
      
      <ng-template #forgotPasswordModal let-c="close" let-d="dismiss">
        <div class="">
          <div class="modal-header">
            <h5 class="modal-title" id="modal-basic-title">Forgot Password</h5>
            <button type="button" class="close" aria-label="Close" (click)="closeModal()" style="z-index: 99;">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form [formGroup]="rmForgotPasswordForm">
            <div class="row">
              <div class="col-12 col-lg-12">
                <input
                  type="email"
                  placeholder="Email"
                  formControlName="email_id"
                  class="input mb-2"
                  required
                />
                <span
                  *ngIf="
                    rmForgotPasswordForm.touched &&
                    rmForgotPasswordForm.get('email_id').errors?.required
                  "
                  class="text-danger"
                >
                  Please enter email id
                </span>
                <span
                *ngIf="
                  rmForgotPasswordForm.get('email_id').errors?.email
                "
                class="text-danger"
              >
                Please enter a valid email id
              </span>
              </div>
            </div>
          </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" [disabled]="!rmForgotPasswordForm.valid" (click)="submitForgot()">Submit</button>
          </div>
        </div>
      </ng-template>
    <!-- </div> -->
    